#ifndef __WPS2NOD_H_83011__
#define __WPS2NOD_H_83011__

#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#define BOT_MOD_NAME		"Ubersoldat"
#define BOT_MOD_VERSION		2.0f

typedef float vec3_t[3];

typedef struct
{
	int num;
	float dist;
	int flags;
} link_t;

typedef struct
{
	vec3_t pos;
	int num;
	int flags;
	int entNums[3];
	int objFlags;

	int numLinks;
	int crap;
	link_t *links;
} waypoint_t;

bool ParseWPSFile(FILE* f);
void WriteNodFile(FILE* f);
void GetEnts(int num, short int* ents);
void Cleanup();

#endif

